FILEFRAG(8)

NOM
filefrag - Indiquer la fragmentation des fichiers

SYNOPSIS
filefrag [ -bblocksize ] [ -BeEkPsvVxX ] [ files... ]

DESCRIPTION
filefrag reports on how badly fragmented a particular file might be. It makes allowances for indirect blocks for ext2 and ext3 file systems, but can be used on files for any file system.

Le programme filefrag essaie d'abord d'obtenir les informations à l'aide de l'ioctl FIEMAP qui est plus efficace et plus rapide. Si FIEMAP n'est pas pris en charge, alors filefrag utilisera l'ioctl FIBMAP.

OPTIONS

-B  Forcer l'utilisation de l'ancien ioctl FIBMAP plutôt que l'ioctl FIEMAP pour des raisons de test.

-btaille_bloc
    Use blocksize in bytes, or with [KMG] suffix, up to 1GB for output instead of the file system blocksize. For compatibility with earlier versions of filefrag, if blocksize is unspecified it defaults to 1024 bytes. Since blocksize is an optional argument, it must be added without any space after -b.

-e  Afficher la sortie dans un format étendu, même pour les fichiers placés en bloc.

-E  Afficher le contenu du cache d’état de domaines (extent) d’ext4. Cette fonctionnalité n’est pas gérée par tous les noyaux et n’est uniquement prise en charge que sur les systèmes de fichiers ext4.

-k  Use 1024-byte blocksize for output (identical to '-b1024').

-P  Pre-load the ext4 extent status cache for the file. This is not supported on all kernels, and is only supported on ext4 file systems.

-s  Synchroniser le fichier avant de demander son emplacement.

-v  Être bavard lors de l'affichage de la fragmentation des fichiers.

-V  Print version number of program and library. If given twice, also print the FIEMAP flags that are understood by the current version.

-x  Afficher les correspondances des attributs étendus.

-X  Afficher les numéros de blocs étendus avec des nombres hexadécimaux.

AUTEUR
filefrag a été écrit par Theodore Ts'o <tytso@mit.edu>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org>, Cédric Boutillier <cedric.boutillier@gmail.com> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.